<?php 
session_start();


date_default_timezone_set('America/Lima');
$hora = 17; //date('G');
require_once ("../formatos/formato.php");
require_once ("../formatos/fechas.php");
require_once ("../../config/Cado.php");

require_once ("../configuracion/cConfiguracion.php");
$oConfiguracion = new cConfiguracion();


$m = date('m'); 
$y = date('Y'); 
$d = date('d');

$dtsc=$oConfiguracion->mostrarUno('1');
$dtcon = mysqli_fetch_array($dtsc);
$diaven=$dtcon['tb_configuracion_diaven'];
$sertel=$dtcon['tb_configuracion_sertel'];
$cuebcp=$dtcon['tb_configuracion_cuebcp'];
$cueint=$dtcon['tb_configuracion_cueint'];
mysqli_free_result($dtsc);

	
$fecha_hoy= $diaven.'-'.$m.'-'.$y;
list($day,$mon,$year) = explode('-',$fecha_hoy);
$fecha2dias=date('d-m-Y',mktime(0,0,0,$mon,$day+2,$year));
	
list($day,$mon,$year) = explode('-',$fecha_hoy);
$d2=date('d',mktime(0,0,0,$mon,$day+2,$year));


if($_POST['dias']== 3 || $_POST['dias']== 2){
	$est = true;
	$msj = 'Su servicio esta proximo a vencer : Faltan ' .$_POST['dias']. ' dias.';
}else if($_POST['dias']== 1){
	$est = true;
	$msj = 'Su servicio esta proximo a vencer : Falta ' .$_POST['dias']. ' dia.';
}
else if($_POST['dias'] == 0 ){
	$est = true;
	$msj = 'Hoy vence su servicio, Tiene hasta el dia '.$fecha2dias.' para realizar el pago. ';
}else if($_POST['dias'] == '-1' ){
	$est = true;
	$estvis = false;
	$msj = 'Su servicio vencio ayer, Tiene hasta el dia '.$fecha2dias.' para realizar el pago.';
}else if($_POST['dias']== '-2' ){
	$est = true;
	$estvis = false;
	$msj = 'Su servicio vencio el dia '.$diaven.', Tiene hasta el dia '.$fecha2dias.' para realizar el pago.';
}else{
	$est = false;
	$estvis = false;
	$msj = 'Su servicio vencio el dia '.$diaven.' del presente mes. ';
}
?>
<div class="modal-header">	
	<h4 class="modal-title" id="titlemodal"><strong>AVISO DE SERVICIO</strong> </h4> 
	
	<?php if ($_SESSION['usuariogrupo_id']=='1'){
		?> 
	<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
	<?php
	}else{
		if($est==true){ 
		?> 
	<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
	<?php }
	} ?>
	
</div>
<div class="row">

<?php if($estvis==false){?>
<div class="col-lg-12 col-sm-12 col-xs-12">
<div class="col-lg-12 col-sm-12 col-xs-12"><strong style="font-size:1.5rem;" class="text-orange" ><?php echo $msj; ?></strong></div>

<div class="col-lg-12 col-sm-12 col-xs-12" style="height:10px;"></div>

<?php if($cuebcp!=''){
?>
<div class="col-lg-12 col-sm-12 col-xs-12">
<h3 align="center" >NRO CUENTA BCP SOLES <strong class="text-red"><?php echo $cuebcp; ?></strong></h3>
</div>
<?php 
}?>

<?php if($cueint!=''){
?>
<div class="col-lg-12 col-sm-12 col-xs-12">
<h3 align="center" >NRO CUENTA INTERBANK SOLES <strong class="text-success"><?php echo $cueint; ?></strong></h3>
</div>
<?php 
}?>


<?php if($sertel!=''){
?>
<div class="col-lg-12 col-sm-12 col-xs-12">
<h3 align="center" style="color:#6A1B9A" >YAPE <strong align="center" ><?php echo $sertel; ?></strong> - ESCANEAR EL CODIGO PARA PAGAR  </h3>
<center>
<img width="50%" src="../../imagenes/yape.jpg" />
</center>

</div>
<?php 
}?>


<div class="col-lg-12 col-sm-12 col-xs-12">
<strong align="center" style="font-size:1.5rem;"  >COMUNIQUESE CON NOSOTROS AL <strong style="color:#B71C1C;" ><?php echo $sertel; ?></strong>, CONFIRMENOS EL PAGO Y BRINDENOS EL NRO DE OPERACION.</strong>
</div>
	
</div>
<?php 
if($_SESSION['usuariogrupo_nombre']=='SUPER USUARIO'){
?>
<div class="col-lg-12 col-sm-12 col-xs-12">
<label for="txt_ser_nro" >NRO DE OPERACION :</label>
<input type="text" id="txt_ser_nro" name="txt_ser_nro"  class="form-control"  value="" />
</div>
<div class="col-lg-12 col-sm-12 col-xs-12" style="height:10px;"></div>

<?php 	
}
} ?>		
		
</div>
<?php
if($_SESSION['usuariogrupo_nombre']=='SUPER USUARIO'){
?>
<div class="box-footer float-right ">
		<span class="btn btn-primary" style="cursor:pointer" id="save_form" onclick="pagar();">Guardar</span>
</div>
<?php } ?>
<script type="text/javascript">
$("#txt_ser_nro").keydown(function(e){
			if (e.which == 13){$("#save_form").focus();return false;}
});
function pagar(){
	if($("#txt_ser_nro").val()==""){
		toastr["info"]('Ingrese el numero de operacion.');
	}else
	{	
	$.ajax({
		type: "POST",
		url: "../serviciopago/serviciopago_reg.php",
		async:false,
		dataType: "html",                  
		data: ({
			action:	 'insertar',
			ser_nro: $("#txt_ser_nro").val()
		}),
		beforeSend: function() {
			
		},
		success: function(html){
			
		},
		complete: function(){
			
			$('.modal').modal('hide');
			$('.in').removeClass('modal-backdrop');	
		
			location.reload();
		}
	});
	}
}
</script>